
QGIS Application - Bug report #17473

QGIS stuck reloading loop

2017-11-15 09:50 PM - David Jordan

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25370

Description

I have Lidar topography of Mount Shasta in QGIS; topography, hillshade and a slope map (all in EPSG 3488 projection).

After updating to the latest nightly (2.99.00-215) I zoomed into the map and now QGIS stuck loading and reloading the rasters in an

endless loop. I can see disk I/O activity which confirms that QGIS is reading the rasters over and over again. Turning of rendering stops

this behavior but the blue progress bar continues to cycle. I opened another project using same rasters and the the loop happens again.

History

#1 - 2017-11-16 11:14 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Assignee deleted (David Jordan)

- Priority changed from High to Normal

Please attach a sample project and data to allow us replicate the issue locally. Thanks!

#2 - 2017-11-18 01:45 AM - David Jordan

- Assignee set to David Jordan

- File Volcano_Clipped.qgs added

Hi Giovanni,

Here's my project file and raster data, the file is rather large so I shared it via dropbox. The issue is repeatable after opening the project, by choosing "zoom

to layer" in the layers panel and then zooming in using the magnifier. The layers then continuously load in a loop.

https://www.dropbox.com/s/7xkvuvtnvs5c9rf/Data.zip?dl=0

#3 - 2017-11-18 08:21 PM - Giovanni Manghi

- Assignee deleted (David Jordan)

Just tested on the latests master (osgeo4w) and can't replicate.

#4 - 2017-11-19 02:19 AM - David Jordan

- File ReloadingLoop.png added
https://www.dropbox.com/s/7xkvuvtnvs5c9rf/Data.zip?dl=0


- Assignee set to David Jordan

Giovanni Manghi wrote:

Just tested on the latests master (osgeo4w) and can't replicate.

I deactivated plugins one by one and I found that the plugin "Load QSS - UI themes" caused the issue. It wasn't QGIS. It's a pity, I liked the Dark theme it

provided.

#5 - 2017-11-19 09:06 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Assignee deleted (David Jordan)

- Resolution set to invalid

#6 - 2017-11-19 01:56 PM - Harrissou Santanna

David Jordan wrote:

Giovanni Manghi wrote:

Just tested on the latests master (osgeo4w) and can't replicate.

I deactivated plugins one by one and I found that the plugin "Load QSS - UI themes" caused the issue. It wasn't QGIS. It's a pity, I liked the Dark

theme it provided.

David, report the issue to the plugin author and you'll have more chance to reuse it in a cleaner environment soon.

Files

Volcano_Clipped.qgs 57.8 KB 2017-11-18 David Jordan

ReloadingLoop.png 432 KB 2017-11-19 David Jordan
